#2482 closed enhancement (fixed)

RSB to download source from RTEMS ftp for releases.

Reported by: Chris Johns Owned by: Chris Johns
Priority: high Milestone: 4.11
Component: tool/rsb Version: 4.11
Severity: major Keywords: RSB release
Cc: Hesham Almatary Blocked By:
Blocking:

Description

Detect an RSB release and first attempt to download package source from the RTEMS ftp server.

Change History (9)

comment:1 Changed on Dec 2, 2015 at 1:14:06 AM by Chris Johns

Status: newaccepted

comment:2 Changed on Dec 8, 2015 at 10:24:23 PM by Chris Johns

Also fix #2486. I am not sure how we link dependent tickets.

Last edited on Dec 8, 2015 at 10:38:34 PM by Chris Johns (previous) (diff)

comment:3 Changed on Dec 13, 2015 at 5:19:03 AM by Chris Johns

The epiphany architecture is using git. This needs to be a release.

comment:4 Changed on Dec 13, 2015 at 7:35:49 PM by Gedare Bloom

Cc: Hesham Almatary added

comment:5 Changed on Dec 14, 2015 at 5:14:36 AM by Chris Johns <chrisj@…>

Resolution: fixed
Status: acceptedclosed

In 12f253cf2e10ee4b41796ebed3b75442e4672b0e/rtems-source-builder:

Download source from RTEMS if a release.

Download source from ftp.rtems.org before the package's URL if
a release.

If a user adds a URL via the command line that is used then the
RTEMS release path then the package's URL.

A user can add --url=file://path/../morepath to have the RSB use
a local cache of source on their hard disk. This is useful if you
need to wipe the RSB and start again. Save away the 'sources' and
'patches' directories to a common directory and provide it with via
the --url option using the 'file://' prefix.

Closes #2482.

comment:6 Changed on Dec 14, 2015 at 5:15:31 AM by Chris Johns <chrisj@…>

In dc1cd6823b149cc3d6a1de3ce44d7a68ff2a037e/rtems-source-builder:

Download source from RTEMS if a release.

Download source from ftp.rtems.org before the package's URL if
a release.

If a user adds a URL via the command line that is used then the
RTEMS release path then the package's URL.

A user can add --url=file://path/../morepath to have the RSB use
a local cache of source on their hard disk. This is useful if you
need to wipe the RSB and start again. Save away the 'sources' and
'patches' directories to a common directory and provide it with via
the --url option using the 'file://' prefix.

Closes #2482.

comment:7 Changed on Dec 14, 2015 at 6:35:05 AM by Chris Johns

Resolution: fixed
Status: closedreopened

The test for a URL being on the server does not work so downloading the RTEMS tools and RTEMS kernel first attempts the release's sources directory. It should not do this.

comment:8 Changed on Mar 11, 2016 at 5:58:54 AM by Chris Johns

The URL to fetch from for the RTEMS FTP is now using the ftp protocol and that correctly indicates an error if not present.

An option --with-release-url has been added to manage a different URL to override the default release path.

comment:9 Changed on Apr 15, 2016 at 5:28:31 AM by Chris Johns

Resolution: fixed
Status: reopenedclosed

This is fixed.

Note: See TracTickets for help on using tickets.